Last Comment Bug 700162 - Add mozapps/extensions/newaddon.css to Modern
: Add mozapps/extensions/newaddon.css to Modern
Status: RESOLVED FIXED
: modern
Product: SeaMonkey
Classification: Client Software
Component: Themes (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.9
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
Mentors:
Depends on: 696598 751253
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-06 11:45 PST by Jens Hatlak (:InvisibleSmiley)
Modified: 2012-05-02 10:43 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
fixed
fixed


Attachments
patch [Checkin: Comment 8] (5.80 KB, patch)
2012-01-15 14:44 PST, Jens Hatlak (:InvisibleSmiley)
neil: review+
iann_bugzilla: approval‑comm‑aurora+
iann_bugzilla: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Jens Hatlak (:InvisibleSmiley) 2011-11-06 11:45:01 PST
Bug 476430, which landed for FF 8 introduced a new CSS file to mozapps (newaddon.css). This file is only used by newaddon.xul, which is only supported starting with SM 2.7 (since bug 696598 landed). Modern needs a copy for the new functionality to work correctly with the alternate theme.

STR:
1. Download or create an XPI of an add-on that is compatible with the tested SM version and rename the XPI to <guid>.xpi (where <guid> is the em:id from install.rdf).
2. Choose an SM profile where the chosen add-on is not installed yet or make sure that's the case. Also make sure that profile has Modern as the active theme.
3. Copy the XPI into the extensions folder of the tested SM profile folder.
4. Start SM
Comment 1 Philip Chee 2011-11-06 20:43:59 PST
Simpler STR: Type the following into the Location bar:
about:newaddon?id={1018e4d6-728f-4b20-ad56-37578a4de76b}
(assuming you have that extension installed.)

For some reason SeaMonkey just closes suddenly if you use the same GUID twice. (no crash report)
Comment 2 Tony Mechelynck [:tonymec] 2011-11-06 22:00:30 PST
(In reply to Philip Chee from comment #1)
> Simpler STR: Type the following into the Location bar:
> about:newaddon?id={1018e4d6-728f-4b20-ad56-37578a4de76b}
> (assuming you have that extension installed.)
> 
> For some reason SeaMonkey just closes suddenly if you use the same GUID
> twice. (no crash report)

IIUC this is bug 684190, fixed-on-trunk 2011-10-07, see bug 684190 comment #5 (but there are followups to that bug, if you're using a newer build maybe one of them cought you).
Comment 3 Justin Wood (:Callek) 2012-01-04 17:34:09 PST
We certainly should port this to modern, the specific coloring here is minimal. I hope we can make 2.7 for this, Jens any chance you can tackle this?
Comment 4 Jens Hatlak (:InvisibleSmiley) 2012-01-15 14:12:41 PST
(In reply to Philip Chee from comment #1)
> Simpler STR: Type the following into the Location bar:
> about:newaddon?id={1018e4d6-728f-4b20-ad56-37578a4de76b}
> (assuming you have that extension installed.)
> 
> For some reason SeaMonkey just closes suddenly if you use the same GUID
> twice. (no crash report)

If you hit Esc really quickly (and have some luck), you can get the page for any ID. Best to be tried with at least one other tab open. ;-)

I just found that the easiest way to get the page for real is to disable an add-on (I used Debug & QA, which I always disable first) and then try it, e.g.:

about:newaddon?id=debugQA@mozilla.org

Now that I'm past that I can try to fix this bug. :-)
Comment 5 Jens Hatlak (:InvisibleSmiley) 2012-01-15 14:44:24 PST
Created attachment 588778 [details] [diff] [review]
patch [Checkin: Comment 8]

Neil, Callek wants to still have this for our next beta, so maybe you can prioritize this? Thanks in advance.

Changes over winstripe version:
* ported general styling from about pages (about.css): colors and borders from html and body
* replaced Graytext by font-style:italic
* maybe more that I forgot...
Comment 6 neil@parkwaycc.co.uk 2012-01-15 16:20:15 PST
Comment on attachment 588778 [details] [diff] [review]
patch [Checkin: Comment 8]

>+@import url("chrome://global/skin/inContentUI.css");
We don't have this, so no need to import it. r=me with that fixed.
Comment 7 Jens Hatlak (:InvisibleSmiley) 2012-01-16 14:35:45 PST
Comment on attachment 588778 [details] [diff] [review]
patch [Checkin: Comment 8]

Base bug 696598 already landed for 2.7, requesting approval accordingly for very safe patch.

Note You need to log in before you can comment on or make changes to this bug.